CroquetParticipant subclass: #CalmoPuzzleMaster
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CalmoPuzzleDemo-Harness'!

!CalmoPuzzleMaster methodsFor: 'initialization' stamp: 'gzs 5/25/2006 13:22'!
registerPortal: portalName in: island
	| entry pc |
	entry := island future at: portalName.
	pc := entry future postcard.
	pc whenResolved:[harness addIsland: island postcard: pc value.].
	^entry! !

!CalmoPuzzleMaster methodsFor: 'initialization' stamp: 'gzs 5/25/2006 13:22'!
setup
	| pc sync entry island postcard myName |

	harness := CroquetHarnessWithMenu new.
	harness addOverlay: self.

	myName := 'Calmo Puzzle World (',NetNameResolver localHostName,')'.
	island := harness createIsland: CalmoPuzzleWorld named: myName.
	entry := self registerPortal: #mainEntry in: island.
	harness makeSnapshot: (island future at: #mainEntry) angle: 0 
		translation:(Vector3 x: 0 y: 0 z: 0).
	postcard := TPostcard new routerAddress: nil "don't know what it is"
				id: nil "don't know what it is"
				name: myName 
				viewpointName: #mainEntry.
	harness viewPortal future postcardLink: postcard.
	harness findViewpointByPostcard: postcard.

	"Drop into the intro world"
	pc := entry future postcard.
	pc whenResolved:[
		sync := harness  viewPortal future postcardLink: pc value.
		sync whenResolved:[harness startRender]. "ready to render"
	].
	pc wait.
! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

CalmoPuzzleMaster class
	instanceVariableNames: ''!

!CalmoPuzzleMaster class methodsFor: 'parts bin' stamp: 'gzs 5/25/2006 13:29'!
descriptionForPartsBin
	^ self partName:	'CalmoPuzzleDemo (Master)'
		categories:		#('Croquet')
		documentation:	'15-Puzzle Game'
		sampleImageForm: self defaultForm.
! !
